sunrain_hjb的BLOG
ARM.WinCE.Android.Robot.Linux.IoT.VR.Automotive.IVI Develop Helpful and Effective apps to make Jobs easier and Better!
posts - 237,  comments - 2135,  trackbacks - 3

上一篇已经详细介绍了如何在主机上搭建WinCE开发环境,说白了就是通过PB6.0导出一个SDKVS2005用,似乎VS2008也可以用这个SDK。据说做系统的开发必须用VS2005+PB6.0,而应用的开发是可以用VS2008的。机器上没有装VS2008,所以不能测试了。不管怎样,我们已经有了一个模拟器代替实验板,可以用这个模拟器来调试程序了。

虽然是模拟器,但基本的外围设备都有了,包括网络、Storage Card、调试串口,也支持同步。在使用模拟器的过程中发现一个小技巧。如果从Device Emulator Manager中连接到该模拟器,则每次都必须重新设置网络和共享目录等内容。这虽然不太麻烦,但事实上是可以一劳永逸的,不必每次都来设置。方法如下,打开VS2005——工具——选项——设备工具——设备,到如下图所示界面,注意红色框里的选择项,最后点击“属性”。

点击“属性”后弹出的对话框如下图所示,点击“仿真器选项”,进行配置,就不一一介绍了,根据自己的需求进行设定。配置完成以后,下次再从Device Emulator Manager中连接此模拟器时就默认采用这里的配置项,无须再对其进行配置,省点时间。

 

在调试程序时,难免要用到远程工具。前段时间在调试2410开发板的WinCE6.0时就发现远程工具有一些小问题,需要手动去改文件才能用。今天在测试模拟器时又碰到了新情况。按理来说,已经同步上了,那完全可以用ActiveSync来做连接。但测试发现根本不行,截图如下,提示说”Unable to load device side components”

难道不能用Microsoft ActiveSync?那再试试看网络的连接,把CEMGRC等三个文件手动拷贝到模拟器里面,并运行了一长串的命令,测试连接通过了,可真正连接时又不行,弹出如下提示框。

以前用EVC4.0版的Remote Tools连接WinCE5.0的设备时也出现这样的情况。难道是Remote Tools的版本不对?查看了版本的信息,确实是6.0的,这太奇怪了。

先前曾在C:\Program Files的目录下看到过一个CE Remote Tools的目录,这里面放的应该也是远程工具吧。进去看看,果然有几个。但比目录C:\Program Files\Common Files\Microsoft Shared\Windows CE Tools\Platman\bin\wce500下的少多了,文件名也不大一样。不是以CE打头,而是用CC打头。打开看看再说,跟先前用的Remote Zoomin还真不一样!左边是新打开的,而右边是从PB6.0中的Remote Tools中打开的。看起来就觉得左边的更靠谱,毕竟能看到我们自己的模拟器。

连接,等待,Downloading Bitmap,果然可以!再比较一下这两个版本到底哪里不一样。

都成找茬的游戏了,除了版本都是6.00外,还真有很多不一样的地方。^_^我很奇怪为什么会有这个差别,两个都是6.0啊!再试别的工具,也没有问题。能用的连接属性设置如下图所示,我们可以看到它并没有用ActiveSync或者网络进行连接,所以可以不用去配置模拟器的网卡,也不用与主机同步。

  最后补充说明一下,你可以从开始\程序\Microsoft Visual Studio 2005\Visual Studio Remote Tools中找到这个能用的6.0版的Remote Tools。所以是否说明随VS2005发布的6.0Remote Tools是真的可用的6.0版本,而随Platform Builder 6.0发布的则不是呢?

不管怎样,我们在单机上搭建的WinCE开发环境又更接近真实一点了。

posted on 2008-08-01 00:41 sunrain_hjb 阅读(...) 评论(...) 编辑 收藏

AmazingCounters.com
Map